Create Export - Flex Documentation
Create Export
cURL
curl --request POST \
--url https://api.withflex.com/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"export": {
"description": "Premium SPF 50 mineral sunscreen",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"type": "product"
}
}
'```
### Python
```python
import requests
url = "https://api.withflex.com/v1/exports"
payload = { "export": {
"description": "Premium SPF 50 mineral sunscreen",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"type": "product"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
export: {
description: 'Premium SPF 50 mineral sunscreen',
metadata: {order_id: '8842', channel: 'shopify'},
type: 'product'
}
})
};
fetch('https://api.withflex.com/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'export' => [
'description' => 'Premium SPF 50 mineral sunscreen',
'metadata' => [
'order_id' => '8842',
'channel' => 'shopify'
],
'type' => 'product'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/exports"
payload := strings.NewReader("{\n \"export\": {\n \"description\": \"Premium SPF 50 mineral sunscreen\",\n \"metadata\": {\n \"order_id\": \"8842\",\n \"channel\": \"shopify\"\n },\n \"type\": \"product\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.post("https://api.withflex.com/v1/exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"export\": {\n \"description\": \"Premium SPF 50 mineral sunscreen\",\n \"metadata\": {\n \"order_id\": \"8842\",\n \"channel\": \"shopify\"\n },\n \"type\": \"product\"\n }\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"export\": {\n \"description\": \"Premium SPF 50 mineral sunscreen\",\n \"metadata\": {\n \"order_id\": \"8842\",\n \"channel\": \"shopify\"\n },\n \"type\": \"product\"\n }\n}"
response = http.request(request)
puts response.read_body
Example Response
Success Response
{
"export": {
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
}
Error Responses
{
"code": "string",
"detail": "string"
}